## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csAlphaMode Struct Reference
[3D]

Describes how to deal with alpha values in textures. More...

`#include <ivideo/graph3d.h>`

List of all members.

## Public Types

enum | AlphaType { alphaNone = 1, alphaBinary, alphaSmooth }
| How to handle alpha. More...

## Public Attributes

bool | autoAlphaMode
| Whether 'automatic alpha mode' should be used.
AlphaType | alphaType
| Alpha mode to use when autoAlphaMode is `false`.
csStringID | autoModeTexture
| Texture to retrieve the alpha mode from when autoAlphaMode is `true`.

## Detailed Description

Describes how to deal with alpha values in textures.

Definition at line 413 of file graph3d.h.

## Member Enumeration Documentation

enum csAlphaMode::AlphaType

How to handle alpha.

Enumerator:

  alphaNone | Ignore alpha.
  alphaBinary | Binary alpha (pixels with alpha >0.5 are drawn, all others not).
  alphaSmooth | 'Smooth' alpha (colors are mixed based on a pixel's alpha value)

Definition at line 416 of file graph3d.h.

## Member Data Documentation

AlphaType csAlphaMode::alphaType

| Alpha mode to use when autoAlphaMode is `false`. Definition at line 430 of file graph3d.h.

bool csAlphaMode::autoAlphaMode

| Whether 'automatic alpha mode' should be used. Definition at line 426 of file graph3d.h. Referenced by csSimpleRenderMesh::csSimpleRenderMesh().

csStringID csAlphaMode::autoModeTexture

| Texture to retrieve the alpha mode from when autoAlphaMode is `true`. Definition at line 432 of file graph3d.h. Referenced by csSimpleRenderMesh::csSimpleRenderMesh().

The documentation for this struct was generated from the following file:

- ivideo/graph3d.h